[@rxap/form-system](../wiki/globals) / ExtractDataSourcesMixin

# Class: ExtractDataSourcesMixin

Defined in: [packages/angular/form-system/src/lib/mixins/extract-data-sources.mixin.ts:7](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-data-sources.mixin.ts#L7)

## Extended by

- [`ExtractOptionsDataSourceMixin`](../wiki/Class.ExtractOptionsDataSourceMixin)
- [`FormSystemControlDirective`](../wiki/Class.FormSystemControlDirective)

## Constructors

### new ExtractDataSourcesMixin()

> **new ExtractDataSourcesMixin**(): [`ExtractDataSourcesMixin`](../wiki/Class.ExtractDataSourcesMixin)

#### Returns

[`ExtractDataSourcesMixin`](../wiki/Class.ExtractDataSourcesMixin)

## Methods

### extractDataSources()

> `protected` **extractDataSources**(`formDefinition`, `controlId`): `Map`\<`string`, [`UseDataSourceValue`](../wiki/Interface.UseDataSourceValue)\<`any`, `any`\>\>

Defined in: [packages/angular/form-system/src/lib/mixins/extract-data-sources.mixin.ts:9](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-data-sources.mixin.ts#L9)

#### Parameters

##### formDefinition

`FormDefinition`

##### controlId

`string`

#### Returns

`Map`\<`string`, [`UseDataSourceValue`](../wiki/Interface.UseDataSourceValue)\<`any`, `any`\>\>
